%define major	3
%define libname	%mklibname openshot-audio %{major}
%define devname	%mklibname openshot-audio -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libopenshot-audio
Version:	0.1.2
Release:	%mkrel 1
Summary:	OpenShot Audio Library
License:	GPLv3+
Group:		System/Libraries
Url:		http://www.openshot.org/
Source0:	https://launchpad.net/libopenshot/%{url_ver}/%{version}/+download/%{name}-%{version}.tar.xz
Patch0:		libopenshot-audio-0.1.2-linking.patch

BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: libalsa2-devel
BuildRequires: libfreetype6-devel
BuildRequires: libx11-devel
BuildRequires: libxcursor-devel
BuildRequires: libxext-devel
BuildRequires: libxinerama-devel
BuildRequires: libxrandr2-devel 
BuildRequires: libxrender-devel 

%description
OpenShot Audio Library.

#----------------------------------------------------

%package -n	%{libname}
Summary:	OpenShot Audio Library
Group:		System/Libraries

%description -n	%{libname}
OpenShot Audio Library.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openshot-audio-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -qc
%apply_patches

%build
%cmake
%make

%install
rm -rf %buildroot
%make_install -C build


%files
%{_bindir}/openshot-audio-test-sound
%{_mandir}/man1/openshot-audio-test-sound.1*

%files -n %{libname}
%{_libdir}/libopenshot-audio.so.%{major}
%{_libdir}/libopenshot-audio.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libopenshot-audio.so


%changelog
* Sat Feb 11 2017 adrianomorselli <adrianomorselli> 0.1.2-1uplos2017
- rebuild

* Fri Dec 30 2016 bb <bb> - 0.1.2-1pclos2017
- import for new openshot

